
#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long a;
    long long i;

    cin >> l >> m >> n;

    for (i = m; i <= l + 1000; i += n)
    {
        s += i;
    }
    do
    {

        br ++;
    }while (s <= l);

    cout << br;

    return 0;
}
